/**Begin C:\PDM_UPGRADE\PDM1\SRC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRC_EXPSCHEMEPARAMS') 
 CREATE TABLE T_SRC_EXPSCHEMEPARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISMUST CHAR(1) DEFAULT '0' NOT NULL,
FPARAMTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPARAMVALUE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBASEDATAINFO NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPARAMETERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRC_PATTERNPARAMS') 
 CREATE TABLE T_SRC_PATTERNPARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISMUST CHAR(1) DEFAULT '0' NOT NULL,
FPARAMTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPARAMVALUE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBASEDATAINFO NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPARAMETERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRC_SCHEMEPARAMS') 
 CREATE TABLE T_SRC_SCHEMEPARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISMUST CHAR(1) DEFAULT '0' NOT NULL,
FPARAMTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPARAMVALUE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBASEDATAINFO NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPARAMETERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SRC_SUPSCHEMEPARAMS') 
 CREATE TABLE T_SRC_SUPSCHEMEPARAMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISMUST CHAR(1) DEFAULT '0' NOT NULL,
FPARAMTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPARAMVALUE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBASEDATAINFO NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPARAMETERID BIGINT DEFAULT 0 NOT NULL
);



/**End C:\PDM_UPGRADE\PDM1\SRC_table.sql **/
